Package org.eclipse.graphiti.mm.pictograms

## Interface ConnectionDecorator

All Superinterfaces:
  `AnchorContainer`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`, `Shape`

All Known Implementing Classes:
  `ConnectionDecoratorImpl`

    public interface ConnectionDecorator
    extends Shape

A representation of the model object 'Connection Decorator'.

The following features are supported:

- `Location Relative`
- `Location`
- `Connection`

See Also:
  `PictogramsPackage.getConnectionDecorator()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Connection` `getConnection()` Returns the value of the 'Connection' container reference.
`double` `getLocation()` Returns the value of the 'Location' attribute.
`boolean` `isLocationRelative()` Returns the value of the 'Location Relative' attribute.
`void` `setConnection​(Connection value)` Sets the value of the '`Connection`' container reference.
`void` `setLocation​(double value)` Sets the value of the '`Location`' attribute.
`void` `setLocationRelative​(boolean value)` Sets the value of the '`Location Relative`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Shape

`getContainer, setContainer`

### Method Detail

#### isLocationRelative

    boolean isLocationRelative()

Returns the value of the 'Location Relative' attribute.

If the meaning of the 'Location Relative' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location Relative' attribute.
See Also:
  `setLocationRelative(boolean)`, `PictogramsPackage.getConnectionDecorator_LocationRelative()`

#### setLocationRelative

    void setLocationRelative​(boolean value)

Sets the value of the '`Location Relative`' attribute.

Parameters:
  `value` - the new value of the 'Location Relative' attribute.
See Also:
  `isLocationRelative()`

#### getLocation

    double getLocation()

Returns the value of the 'Location' attribute.

If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location' attribute.
See Also:
  `setLocation(double)`, `PictogramsPackage.getConnectionDecorator_Location()`

#### setLocation

    void setLocation​(double value)

Sets the value of the '`Location`' attribute.

Parameters:
  `value` - the new value of the 'Location' attribute.
See Also:
  `getLocation()`

#### getConnection

    Connection getConnection()

Returns the value of the 'Connection' container reference. It is bidirectional and its opposite is '`Connection Decorators`'.

If the meaning of the 'Connection' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Connection' container reference.
See Also:
  `setConnection(Connection)`, `PictogramsPackage.getConnectionDecorator_Connection()`, `Connection.getConnectionDecorators()`

#### setConnection

    void setConnection​(Connection value)

Sets the value of the '`Connection`' container reference.

Parameters:
  `value` - the new value of the 'Connection' container reference.
See Also:
  `getConnection()`